DNS ZonesCreate Zone

Create Zone

curl -X POST "https://api.5centscdn.com/v2/dns" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "domain": "testdomain.com",
  "_METHOD": "PUT"
}'
{
  "status": "Error",
  "statusDescription": "Domain Already Exists"
}
POST
/dns
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
domainstring
Required

New DNS Domain

_METHODstring
Required

masking post -> put request

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Body

application/json
domainstring
Required

New DNS Domain

Example:
testdomain.com
_METHODstring
Required

masking post -\> put request

Example:
PUT

Responses

statusstring

Operation outcome.

statusDescriptionstring

Human-readable description of the operation outcome.

dnsidinteger

Unique identifier of the newly created DNS zone. Present on success only.